/*************************************************************
Copyright (C) 1990, 1991, 1993 Andy C. Hung, all rights reserved.
PUBLIC DOMAIN LICENSE: Stanford University Portable Video Research
Group. If you use this software, you agree to the following: This
program package is purely experimental, and is licensed "as is".
Permission is granted to use, modify, and distribute this program
without charge for any purpose, provided this license/ disclaimer
notice appears in the copies.  No warranty or maintenance is given,
either expressed or implied.  In no event shall the author(s) be
liable to you or a third party for any special, incidental,
consequential, or other damages, arising out of the use or inability
to use the program for any purpose (or the loss of data), even if we
have been advised of such possibilities.  Any public reference or
advertisement of this source code should refer to it as the Portable
Video Research Group (PVRG) code, and not by any author(s) (or
Stanford University) name.
*************************************************************/

/*
************************************************************
Various structures necessary...
************************************************************
*/

#define FRAME struct movie_frame

FRAME {
int n;
int width;
int height;
unsigned char *data;
};

#define MakeStructure(structure) (structure *) malloc(sizeof(structure));

/*
************************************************************
Bitmap for Icon

************************************************************
*/

#define icon_width bwvicon_width
#define icon_height bwvicon_height
#define icon_bits bwvicon_bits

#define bwvicon_width 80
#define bwvicon_height 80
static char bwvicon_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xe0, 0xff, 0xff, 0x01, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xcf, 0x9f, 0xff, 0x7f, 0xfe, 0xfc, 0xff, 0xff,
   0xff, 0xff, 0xf3, 0x7f, 0xfe, 0x9f, 0xff, 0xf3, 0xff, 0xff, 0xff, 0xff,
   0xfd, 0xff, 0xfd, 0xef, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xff,
   0xfb, 0xf7, 0xff, 0xdf, 0xff, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xf7, 0xfb,
   0xff, 0xbf, 0xff, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xf7, 0xfb, 0xff, 0xbf,
   0xff, 0xff, 0xff, 0xbf, 0xff, 0xff, 0xef, 0xfd, 0xff, 0x7f, 0xff, 0xff,
   0xff, 0xbf, 0xff, 0xff, 0xef, 0xfd, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xdf,
   0xff, 0xff, 0xdf, 0xfe, 0xff, 0xff, 0xfe, 0xff, 0xff, 0xdf, 0xff, 0xff,
   0xdf, 0xfe, 0xff, 0xff, 0xfe, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xdf, 0xfe,
   0xff, 0xff, 0xfe, 0xff, 0xff, 0xdf, 0xff, 0xfd, 0xdf, 0xfe, 0xef, 0xff,
   0xfe, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xdf, 0xfe, 0xff, 0xff, 0xfe, 0xff,
   0xff, 0xdf, 0xff, 0xff, 0xdf, 0xfe, 0xff, 0xff, 0xfe, 0xff, 0xff, 0xdf,
   0xff, 0xff, 0xdf, 0xfe, 0xff, 0xff, 0xfe, 0xff, 0xff, 0xbf, 0xff, 0xff,
   0x0f, 0xfc, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xff, 0xef, 0xfd,
   0xff, 0x7f, 0xff, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xf7, 0xfb, 0xff, 0xbf,
   0xff, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xf7, 0xfb, 0xff, 0xbf, 0xff, 0xff,
   0xff, 0x7f, 0xfe, 0xff, 0x03, 0xf0, 0xff, 0xdf, 0xbf, 0xff, 0xff, 0x7f,
   0xfd, 0xff, 0xfd, 0xef, 0xff, 0xef, 0x8f, 0xff, 0xff, 0x7f, 0xf3, 0x7f,
   0xfe, 0x9f, 0xff, 0xf3, 0xb3, 0xff, 0xff, 0x7f, 0xcf, 0x9f, 0xff, 0x7f,
   0xfe, 0xf4, 0xbc, 0xff, 0xff, 0x7f, 0x3f, 0xe0, 0xff, 0xff, 0x01, 0x37,
   0xbf, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xc7, 0xbf, 0xff,
   0xff, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xbf, 0xff, 0xff, 0x7f,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xff, 0x7f, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xbf, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xbf, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff,
   0xff, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe7, 0xbf, 0xff, 0xff, 0x7f,
   0xff, 0xff, 0xff, 0xff, 0xff, 0x17, 0xbe, 0xff, 0xff, 0x7f, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xf7, 0xa1, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xf7, 0x9f, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7,
   0xff, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xff,
   0xff, 0x7f, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff};
