.TH CV 1 "14 June 1993"
.UC 4
.SH NAME
cv \- Color image sequence X viewer
.SH SYNOPSIS
.B
cv -a StartFrame -b EndFrame [-iw ImageWidth] [-ih ImageHeight]
.B
   [-BW] [-yg Gamma] [-rg Red_Gamma] [-gg Green_Gamma] [-bg Blue_Gamma]
.B
   [-d Dither_Scale] [-nr] [-C] [-SF] Filename
.br
.SH DESCRIPTION
.I cv
is an X viewer of image sequences stored as raster-scanned files.
.PP
.SH OPTIONS
.TP
.B -a
Specifies the start frame for an image sequence.
.TP
.B -b
Specifies the end frame (inclusive) for an image sequence.
.TP
.B -iw
Specifies the image width for the luminance component.
.TP
.B -ih
Specifies the image height for the luminance component.
.TP
.B -BW
Specifies black and white mode.  This means that only the luminance
file is loaded.  Only the luminance gamma is used
.B -yg
if this mode is chosen.
.TP
.B -yg
Specifies luminance (or overall) gamma correction used.  This can be
used to increase contrast and compensate for individual screen
luminosity.
.TP
.B -rg
Specifies red gamma correction used.  This can be used to compensate
for screen color.
.TP
.B -gg
Specifies green gamma correction used.  This can be used to compensate
for screen color.
.TP
.B -bg
Specifies blue gamma correction used.  This can be used to compensate
for screen color.
.TP
.B -d
Specifies factor to scale (the multiplicative factor) the 2x2
dithering matrix.  This may correct some annoying dithering problems.
.TP
.B -C
Use CCIR Recommmendation 601 YCbCr->RGB conversion which has deeper contrast
and colors. The default mode is the JFIF YCbCr->RGB conversion.
.TP
.B -FC
The color range in YCbCr space has been restricted slightly, FC brings it
to full color range.  Can be used in conjunction with 
.B -C.
.TP
.B -nr
Do not add uniform random noise less than the dithering matrix
stepsize. This is useful for finely quantized frames.
.TP
.B -SF
Single frame mode.  This enables just one frame to be loaded in.  This
option is useful for 
.I PVRG-JPEG
decoded files.
.PP
.SH EXAMPLES
The YCbCr files are also known as digital YUV files, where U is the
same as Cb and V is the same as Cr.  To display a single image of
dimensions 400x300 where the YUV files are in
.B
foo.3, foo.8, foo.10,
respectively, the command is

.br
.B
cv -iw 400 -ih 300 foo -SF
.br

The numeric suffix is resolved automatically; the same command would
work for 
.B
foo.0, foo.1, foo.2,
or
.B
foo.Y, foo.U, foo.V.

To display an image sequence of dimensions 160x128 where the YUV files
are
.B
bar.0.Y, bar.0.U, bar.0.V,
.B
bar.1.Y, bar.1.U, bar.1.V,
.B
\&...,
.B
bar.10.Y, bar.10.U, bar.10.V,
with a red gamma correction of 1.5, type

.br
.B
cv -iw 160 -ih 128 -a 0 -b 10 bar. -rg 1.5
.br

Note that we use 
.B bar.
as the filename; if we use
.B bar
then the input files would be
.B
bar0.Y, \&...
etc.  The image sequence
essentially calls the single frame display routine iteratively, so
anything valid for the single frame is valid for each frame of the
image sequence.
Please see the accompanying documentation in
.I doc.ps
for more details.
.PP
.SH FTP
.I cv
is available by anonymous ftp from
.I havefun.stanford.edu:pub/cv/CVv1.2.1.tar.Z.
.PP
.SH BUGS
Some bugs are probably lurking around.
Please inform the author at achung@cs.stanford.edu if any bugs
are found.
.PP
.SH AUTHOR
.PP
Andy Hung
