.TH CYUV2PPM 1 "14 June 1993"
.UC 4
.SH NAME
cyuv2ppm \- Component Y Cb Cr (YUV) conversion to raw PPM
.SH SYNOPSIS
.B
cyuv2ppm infile outfile [-iw width] [-ih height] [-z suffix]* [-CCIR601]
.br
.SH DESCRIPTION
.I cyuv2ppm
is a conversion program between component yuv files and the ppm file format.
The chrominances of the input are decimated by a factor of 2 in both the 
horizontal and vertial dimensions.
.PP
.SH OPTIONS
.TP
.B -iw
is the image width in terms of the luminance component (Y). 
.TP
.B -ih
is the image height in terms of the luminance component (Y). 
.TP
.B -CCIR601
specifies that the CCIR601 YCbCr colorspace is to be used instead
of the JFIF colorspace.
.TP
.B -z
denotes the component file suffixes in sequential order. For example
.B
 -z .y.clr -z .u.clr -z .v.clr
indicates that the luminance and the two chrominance files
end with a suffix of
.B
\&.y.clr, \&.u.clr,
and
.B \&.v.clr,
in that order. If unspecified, the suffixes
default to
.B
\&.Y, \*.U,\fR
and
.B \&.V.
.PP
.SH EXAMPLES
To convert a triple set of raw raster scan YCbCr
(also known as digital YUV) files with
dimension 352x240 Y, 176x120 U,V,
with labels,
.B
hello0.Y hello0.U hello0.V,
to the file 
.B 
out.ppm
type

.br
.B
cyuv2ppm hello0 out.ppm
.br

There are a variety of ways to convert the PPM file to other formats;
see Jef Poskanzer's PBMPLUS library.
.PP
.SH FTP
.I cyuv2ppm
is available by anonymous ftp from
.I havefun.stanford.edu:pub/cv/CVv1.2.1.tar.Z.
.PP
.SH BUGS
Probably lurking somewhere.
Please inform the author at achung@cs.stanford.edu if any bugs are found.
.PP
.SH AUTHOR
.PP
Andy Hung
