.TH PPM2CYUV 1 "14 June 1993"
.UC 4
.SH NAME
ppm2cyuv \- Component Y Cb Cr (YUV) conversion to raw PPM
.SH SYNOPSIS
.B
ppm2cyuv infile outfile [-z suffix]* [-CCIR601]
.br
.SH DESCRIPTION
.I ppm2cyuv
is a conversion program between component the raw ppm file format
and component yuv files.
The chrominances of the input are decimated by a factor of 2 in both the 
horizontal and vertial dimensions.
.PP
.SH OPTIONS
.TP
.B -CCIR601
specifies that the CCIR601 YCbCr colorspace is to be used instead
of the JFIF colorspace.
.TP
.B -z
denotes the component file suffixes in sequential order. For example
.B
 -z .y.clr -z .u.clr -z .v.clr
indicates that the luminance and the two chrominance files
end with a suffix of
.B
\&.y.clr, \&.u.clr,
and
.B \&.v.clr,
in that order. If unspecified, the suffixes
default to
.B
\&.Y, \*.U,\fR
and
.B \&.V.
.PP
.SH EXAMPLES
To convert a ppm file in 
.B 
in.ppm
.br
to a triple set of raw raster scan YCbCr
(also known as digital YUV) files with
dimension 352x240 Y, 176x120 U,V,
with labels,
.B
hello0.Y hello0.U hello0.V,
type

.br
.B
ppm2cyuv in.ppm hello0
.br

The PPM file format is very portable - see Jef Poskanzer's PBMPLUS library.
.PP
.SH FTP
.I ppm2cyuv
is available by anonymous ftp from
.I havefun.stanford.edu:pub/cv/CVv1.2.1.tar.Z.
.PP
.SH BUGS
Probably lurking somewhere.
Please inform the author at achung@cs.stanford.edu if any bugs are found.
.PP
.SH AUTHOR
.PP
Andy Hung
